Subject: 24.0.93; Slightly unclear help text about remapped commands

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 19 Feb 2012 10:19:32 +0100

If I type `C-h f kill-buffer', I currently get the following help text:

----
kill-buffer is an interactive built-in function in `C source code'.

It is remapped to `ido-kill-buffer', which is bound to C-x k.

(kill-buffer &optional BUFFER-OR-NAME)
----

I was puzzled what this meant.  Had `kill-buffer' been redefined?  What
does "remapped" mean?  If I try to use `kill-buffer', will I be using
`ido-kill-buffer' instead?

So I looked at a different function to compare:

----
compose-mail is an interactive compiled Lisp function in `simple.el'.

It is bound to C-x m, <menu-bar> <tools> <compose-mail>.
----

Oh, so the "remapped" means something like "this command is usually
bound to `C-x k', but currently `C-x k' is bound to `ido-kill-buffer'
instead" or something.

So I think the help text here could be clearer.

In GNU Emacs 24.0.93.34 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.6)
 of 2012-02-19 on rusty
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

-- 
(domestic pets only, the antidote for overdose, milk.)
  http://lars.ingebrigtsen.no  *  Sent from my Rome